#!/bin/bash

asterisk_conf_dir="/etc/asterisk"
deployment_dir="$asterisk_conf_dir/pseudo_least_cost_routing"

if [ ! -d "$asterisk_conf_dir" ]
   then
      echo Asterisk configuration directory $asterisk_conf_dir not present. Exiting.
      exit
   fi

if [ -d "$deployment_dir" ]
   then
      sleep 0
   else
      mkdir "$deployment_dir"
   fi

cp *.extensions.conf $deployment_dir

