#!/bin/bash

international_prefix="00"
route="SIP/freephonie-out"
asterisk_routing_extension="$route/\${EXTEN}"
priority=4

rm -f international-Freephonie-free-destinations.asterisk.extensions.conf .international-Freephonie-free-destinations_prefixes.tmp
touch international-Freephonie-free-destinations.asterisk.extensions.conf .international-Freephonie-free-destinations_prefixes.tmp

cat international-Freephonie-free-destinations.txt | while read country
   do
      grep -i "$country" voiptalk_pps_unlimited_rates.txt | grep -v Mobile | grep -v Mbl | head -n 1 | awk -F" " '{print($1)}' >> .international-Freephonie-free-destinations_prefixes.tmp
   done

echo "[international-Freephonie-free-destinations]" >> international-Freephonie-free-destinations.asterisk.extensions.conf

sort .international-Freephonie-free-destinations_prefixes.tmp | while read prefix
   do
      echo "exten => _$international_prefix$prefix.,$priority,Dial($asterisk_routing_extension)" >> international-Freephonie-free-destinations.asterisk.extensions.conf
   done

rm -f .international-Freephonie-free-destinations_prefixes.tmp
