#!/bin/bash

international_prefix="00"
route="IAX2/833210992@voiptalk"
asterisk_routing_extension="$route/\${EXTEN}"
priority=2
priority_next1=3

rm -f international-mobile-destinations.asterisk.extensions.conf international-mobile-destinations_barred.asterisk.extensions.conf
echo "[international-mobile-destinations]" >> international-mobile-destinations.asterisk.extensions.conf
echo "[international-mobile-destinations_barred]" >> international-mobile-destinations_barred.asterisk.extensions.conf
cat voiptalk_pps_unlimited_rates.txt | awk -F"0\." '{print($1)}' | grep Mobile | grep -v Mbl | awk -F" " '{print($1)}' | sort | while read prefix
   do
      echo "exten => _$international_prefix$prefix.,$priority,Dial($asterisk_routing_extension)" >> international-mobile-destinations.asterisk.extensions.conf
      echo "exten => _$international_prefix$prefix.,$priority,Playback(tt-monkeys)" >> international-mobile-destinations_barred.asterisk.extensions.conf
      echo "exten => _$international_prefix$prefix.,$priority_next1,Hangup" >> international-mobile-destinations_barred.asterisk.extensions.conf
   done
